using System.Collections.Generic;
using System.Linq;
using Sirenix.OdinInspector;
using VOID.Generic.Objects.Item;

namespace VOID.Generic.Objects.Container
{
    public class ContainerObject : ItemObject
    {
        [Title("=== Container properties ===")]
        public ContainerObjectContent containerContent;
        public ContainerObjectEvents containerEvents;
        public ContainerObjectState containerState;
        
        protected override List<ObjectComponent> GetObjectComponents()
        {
            return base.GetObjectComponents()
                .Union(new List<ObjectComponent>
                {
                    containerContent,
                    containerEvents,
                    containerState
                })
                .ToList();
        }
    }
}
